glib-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.ListBase A list class used by Gtk

is managed wrapper for the underlying C list implementation used by Gtk+. Various functions on the Gtk+ API take lists or return lists in this form.

The list deals with objects, these are pointers into unmanaged resources.

For example to create a list of widgets, you would use the following sample:

`GLib.List MakeList (Gtk.Widget a, Gtk.Widget b) { GLib.List l = new GLib.List ((IntPtr) 0, typeof (Gtk.Widget)); l.Append (a.Handle); l.Append (b.Handle); }`

The argument to the constructor, allows the list enumerator code to return properly wrapped or demarshalled objects from the unmanaged world into the managed world.

- Constructor
  2.12.0.0
  A handle to a .
  Constructs a List

  objects are constructed by passing an unmanaged reference to an existing , or they can use "(IntPtr) 0" as an initial value.

  Using this constructor will not track the type information of the classes or structures kept in the list. If you plan on tracking the type information, use the method.

- Constructor
  2.12.0.0
  a
  Constructs a list of objects of a given type.
  Gtk.Widget a = new Gtk.Widget((IntPtr) 0); Gtk.Widget b = new Gtk.Widget((IntPtr) 0);

  GLib.List l = new GLib.List (typeof (Gtk.Widget)); l.Append (a.Handle); l.Append (b.Handle);
- Constructor
  2.12.0.0
  A handle to a GLib.list
  To be added.
  Internal constructor

  objects are constructed by passing an unmanaged reference to an existing , or they can use "(IntPtr) 0" as an initial value.

  Using this constructor will track the type information of the classes or structures kept in the list. This information is used by the List enumerator when returning data.

- Constructor
  2.12.0.0
  Array on elements to build the list.
  The Type of the elements.
  Indicates if the list reference must be released on finalization.
  Indicates if the list members must be released on finalization.
  Public constructor.
  Constructs a native GList containing a set of member objects.
- Constructor
  2.12.0.0
  Pointer to the native list.
  The type of the elements contained in the list.
  if the native list needs to be released on Dispose.
  if the list elements need to be released on Dispose.
  Creates a List.
  This type is only recommended for marshaling GList parameters and return values in bindings.
- Constructor
  2.12.0.0
  An array of list member objects.
  The type of the members.
  Indicates if the list reference must be released on finalization.
  Indicates if the list members must be released on finalization.
  Public constructor.
  Constructs a native GList containing a set of member objects.
- Method
  2.12.0.0
  System.Object To be added. To be added. To be added.